# Initializing the SDK

The initializeSDK() function returns a list of AdapterStatus , and the function is called as follows:

{% tabs %}
{% tab title="Java" %}

```java
AdSter.INSTANCE.initializeSdk(getApplicationContext(), AdapterStatus -> {
    // Initialization completes here
})
```

{% endtab %}

{% tab title="Kotlin" %}

```java
AdSter.initializeSdk(getApplicationContext(), object : InitializationListener {
    override fun onInitializationComplete(adapterStatus: List<AdapterStatus>) {
        // Initialization completes here
    }
})
```

{% endtab %}
{% endtabs %}

Note : All load ad requests are to be called only after the completion of the initialization of the SDK.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.adster.tech/how-to-configure/initializing-the-sdk.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
